configuration

# Class: LAMCfgMain

Source Location: /lib/config.inc

### Class Overview

This class manages config.cfg.

### Variables

- $allowedHosts
- $default
- $logDestination
- $logLevel
- $passwordMinClasses
- $passwordMinLength
- $passwordMinLower
- $passwordMinNumeric
- $passwordMinSymbol
- $passwordMinUpper
- $sessionTimeout

### Methods

- __construct
- checkPassword
- isWritable
- save
- setPassword

### Class Details

[line 1099]
This class manages config.cfg.
[ Top ]

### Class Variables

#### $allowedHosts =

[line 1117]

list of hosts which may access LAM

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $default =

[line 1102]

Default profile

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $logDestination =

[line 1114]

log destination ("SYSLOG":syslog, "/...":file, "NONE":none)

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $logLevel =

[line 1111]

log level

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $passwordMinClasses = 0

[line 1135]

minimum character classes (upper, lower, numeric, symbols)

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $passwordMinLength = 0

[line 1120]

minimum length for passwords

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $passwordMinLower = 0

[line 1126]

minimum lowercase characters

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $passwordMinNumeric = 0

[line 1129]

minimum numeric characters

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $passwordMinSymbol = 0

[line 1132]

minimum symbol characters

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $passwordMinUpper = 0

[line 1123]

minimum uppercase characters

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $sessionTimeout =

[line 1108]

Time of inactivity before session times out (minutes)

#### Tags:

access: | public

Type: | mixed

[ Top ]

### Class Methods

### constructor __construct [line 1148]

`LAMCfgMain __construct( )`

Loads preferences from config file
[ Top ]

### method checkPassword [line 1257]

`boolean checkPassword( String $password)`

Checks if the given password matches.

#### Tags:

return: | true, if password matches
access: | public

#### Parameters:

String | $password | password

[ Top ]

### method isWritable [line 1287]

`boolean isWritable( )`

Returns if the configuration file is writable.

#### Tags:

return: | writable
access: | public

[ Top ]

### method save [line 1189]

`void save( )`

Saves preferences to config file config.cfg

#### Tags:

access: | public

[ Top ]

### method setPassword [line 1243]

`void setPassword( String $password)`

Sets a new config password.

#### Tags:

access: | public

#### Parameters:

String | $password | new password

[ Top ]

Documentation generated on Thu, 28 Oct 2010 21:00:08 +0200 by phpDocumentor 1.4.1